Subject: bug#69141: [PATCH] Allow attaching files at point using 'gnus-dired-attach'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Feb 2024 18:52:58 +0200

> Cc: [email-masked]
> From: Philip Kaludercic <[email-masked]>
> Date: Mon, 19 Feb 2024 15:54:22 +0000
> 
> Eric Abrahamsen <[email-masked]> writes:
> 
> > Philip Kaludercic <[email-masked]> writes:
> >
> >> I use this command frequently, and am just as frequently mildly annoyed
> >> that attachments are always added at the bottom of the message buffer,
> >> instead of at point as is the case with 'mml-attach-file' (usually this
> >> is mild enough that I'd immediately forget about it).  This patch allows
> >> disabling the behaviour:
> >
> > This looks fine to me, thank you. Would you add a :version to the
> > defcustom, and also a mention (with index entry) in the Gnus manual,
> > "Interaction with other modes -> Dired"?
> >
> > I guess 'mail is a fine group for the defcustom, kind of hard to say.
> 
> How does this look like:

Just as comment from the sidelines, by someone who doesn't use Gnus:
isn't this quite a bit of ado about very little?  AFAIK and IME, the
way attachments are shown on the receiving end is completely up to MUA
on that end; having them embedded inside the body of the email message
doesn't necessarily mean it will be shown as part of the message.  In
fact, there are widely used MUAs out there which will always show
attachments on a specially-assigned spot of the MUA display.  So the
usability of this option seems to have a known effect on a couple of
Emacs based MUAs, and otherwise all bets are off.  Right?